# List target network maps with chaos context

List target network maps with chaos context

Endpoint: POST /gateway/chaos/manager/api/rest/v2/applicationmaps
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id that want to access the resource

  - `organizationIdentifier` (string, required)
    organization id that want to access the resource

  - `projectIdentifier` (string, required)
    project id that want to access the resource

  - `page` (integer, required)
    page number

  - `limit` (integer, required)
    limit per page

  - `environmentIdentifier` (string)
    environment id that want to access the resource

  - `infraId` (string)
    infra id that want to access the resource

  - `all` (boolean)
    show all target network maps

  - `minimal` (boolean)
    show minimal details

  - `search` (string)
    search based on name

## Response 200 fields (application/json):

  - `data` (array)

  - `data.accountID` (string, required)

  - `data.agentIdentity` (string)

  - `data.averageResiliencyScore` (number)

  - `data.createdAt` (integer)

  - `data.createdBy` (string)

  - `data.environmentRef` (string)

  - `data.errorMessage` (string)

  - `data.experimentCreationMode` (string)
    Enum: "Basic", "Intermediate", "Advanced"

  - `data.id` (string)

  - `data.identity` (string)

  - `data.infrastructureId` (string)

  - `data.isRemoved` (boolean, required)

  - `data.name` (string)

  - `data.onboardingID` (string)

  - `data.orgID` (string)

  - `data.projectID` (string)

  - `data.recentExperimentRunsDetails` (array)

  - `data.recentExperimentRunsDetails.completed` (boolean)

  - `data.recentExperimentRunsDetails.createdAt` (integer)

  - `data.recentExperimentRunsDetails.createdBy` (string)

  - `data.recentExperimentRunsDetails.experimentRunID` (string)

  - `data.recentExperimentRunsDetails.isRemoved` (boolean, required)

  - `data.recentExperimentRunsDetails.name` (string)

  - `data.recentExperimentRunsDetails.notifyID` (string)

  - `data.recentExperimentRunsDetails.phase` (string)

  - `data.recentExperimentRunsDetails.resiliencyScore` (number)

  - `data.recentExperimentRunsDetails.targetService` (array)

  - `data.recentExperimentRunsDetails.targetService.id` (string)

  - `data.recentExperimentRunsDetails.targetService.name` (string)

  - `data.recentExperimentRunsDetails.targetService.namespace` (string)

  - `data.recentExperimentRunsDetails.targetService.uid` (string)

  - `data.recentExperimentRunsDetails.updatedAt` (integer)

  - `data.recentExperimentRunsDetails.updatedBy` (string)

  - `data.resiliencyCoverage` (number)

  - `data.serviceIDs` (array)

  - `data.status` (string)
    Enum: "COMPLETED", "RUNNING", "PENDING", "ERRORED"

  - `data.targetNetworkMapID` (string)

  - `data.totalExperimentCount` (integer)

  - `data.totalExperimentRunCount` (integer)

  - `data.updatedAt` (integer)

  - `data.updatedBy` (string)

  - `page` (object)

  - `page.index` (integer)

  - `page.limit` (integer)

  - `page.totalItems` (integer)

  - `page.totalPages` (integer)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


